use_safeglobals()


-------------------------------------------------------------------------------
--
function PauseMenu:GlobalTimeCheck()
	if not IsPlatformSTEAM() or not mp_is_in_session() then
		GameTimer.PauseGlobalTimer()
	end
end

-------------------------------------------------------------------------------
--
function PauseMenu:UnPauseGlobalCheck()
	LOG("CALLING GameTimer.UnpauseGlobalTimer()")
	LOG(debug.traceback())
	if not IsPlatformSTEAM() or not mp_is_in_session() then
		GameTimer.UnpauseGlobalTimer()
	end
end

-------------------------------------------------------------------------------
--
function PauseMenu:OnButton(buttonId, clickX, clickY)
	
	if (buttonId == self:get_widget_id("butt_resume")) then
		self.quit = false
		self.save = false
		self:Exit()

	elseif (buttonId == self:get_widget_id("butt_exit")) then	-- battle > world > menu	-- destructive
		open_yesno_menu("[MAP_QUIT_HEADING]", "[MAP_QUIT_MESSAGE]", function (res)
			if not res then
				self.quit = true
			else
				self.quit = false
			end
			self.save = false
			self:Exit()
		end, "[YES]", "[NO]")
		
	elseif (buttonId == self:get_widget_id("butt_help")) then
		SCREENS.HelpAndOptionsMenu:SetupAndOpen(function ()
			SCREENS.HelpAndOptionsMenu:Close()
		end)
		
	elseif (buttonId == self:get_widget_id("butt_achievements")) then
		show_achievements_ui()
		
	elseif (buttonId == self:get_widget_id("butt_save")) then	-- battle > world > menu	-- save and exit (optional)
		self.quit = true
		self.save = true
		self:Exit()
	else
		return Menu.OnButton(self, buttonId, clickX, clickY)
	end
	
	return Menu.MESSAGE_HANDLED
end

-------------------------------------------------------------------------------
--
function PauseMenu:OnKey(key)
	if key == Keys.SK_ESCAPE then
		self.quit = false
		self.save = false
		self:Exit()
	end
	
	return Menu.OnKey(self, key)
end
