use_safeglobals()

class "SteamMenu" (Menu);

function SteamMenu:__init()
	super()
	
	self:Initialize("Assets\\Screens\\SteamMenu.xml")
end

function SteamMenu:OnOpen()
	ShowBackdropMenu()
	
	return Menu.OnOpen(self)
end

function SteamMenu:OnRefresh()
end

function SteamMenu:OnTimer(time)
	return Menu.OnTimer(self, time)
end

function SteamMenu:OnKey(key)
	return Menu.MESSAGE_HANDLED
end

function SteamMenu:OnButton(buttonId, clickX, clickY)
    if buttonId == self:get_widget_id("butt_back") then
		SCREENS.SteamMenu:Close()
		SCREENS.MainMenu:Open()
	elseif buttonId == self:get_widget_id("butt_achievements") then
		show_achievements_ui()
	elseif buttonId == self:get_widget_id("butt_stats") then
		show_stats_ui()
	elseif buttonId == self:get_widget_id("butt_group") then
		show_web_ui("http://steamcommunity.com/games/PQ2")
	elseif buttonId == self:get_widget_id("butt_forums") then
		show_web_ui("http://forums.steampowered.com/forums/forumdisplay.php?f=948")
	else
		return Menu.OnButton(self, buttonId, clickX, clickY)
	end
	
	return Menu.MESSAGE_HANDLED
end

-- return an instance of SteamMenu
return ExportSingleInstance("SteamMenu")
