local Fear = {}

Fear.id = "FEAR"
Fear.icon = "img_status_fear"
Fear.immunities = {"Fear"}

function Fear:beneficial()
	return false
end

function Fear:Apply(percentModify, bonusModify)
	assert(type(percentModify) == "number")
	assert(type(bonusModify) == "number")
	
	self.percentModify = percentModify
	self.bonusModify = bonusModify
end

function Fear:GetDefenseRating(value)
	return value + math.floor(value * (self.percentModify / 100.0)) + self.bonusModify
end

return Fear
